MarkerFactory (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j
Class MarkerFactory

    java.lang.Object
      org.slf4j.MarkerFactory

    public class MarkerFactory

extends Object

MarkerFactory is a utility class producing `Marker` instances as appropriate for the logging system currently in use.

This class is essentially implemented as a wrapper around an `IMarkerFactory` instance bound at compile time.

Please note that all methods in this class are static.

Author:
  Ceki Gülcü

Method Summary
`static Marker` | `getDetachedMarker(String name)` Create a marker which is detached (even at birth) from the MarkerFactory.
`static IMarkerFactory` | `getIMarkerFactory()` Return the `IMarkerFactory`instance in use.
`static Marker` | `getMarker(String name)` Return a Marker instance as specified by the name parameter using the previously bound `IMarkerFactory`instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMarker

    public static Marker getMarker(String name)

  Return a Marker instance as specified by the name parameter using the previously bound `IMarkerFactory`instance.

  Parameters:
    `name` - The name of the `Marker` object to return.
  Returns:
    marker

### getDetachedMarker

    public static Marker getDetachedMarker(String name)

  Create a marker which is detached (even at birth) from the MarkerFactory.

  Parameters:
    `name` - the name of the marker
  Returns:
    a dangling marker
  Since:
    1.5.1

### getIMarkerFactory

    public static IMarkerFactory getIMarkerFactory()

  Return the `IMarkerFactory`instance in use.

  The IMarkerFactory instance is usually bound with this class at compile time.

  Returns:
    the IMarkerFactory instance in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.